package com.huimv.business.server.dao.repo;

import com.huimv.business.server.dao.entity.FarmDeviceEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import javax.swing.text.html.Option;
import java.util.List;
import java.util.Optional;

public interface FarmDeviceRepo extends JpaRepository<FarmDeviceEntity, Integer>, JpaSpecificationExecutor<FarmDeviceEntity> {
    //
    @Query(nativeQuery = true,value = "SELECT id FROM farm_device WHERE data_id=?1")
    List<Object[]> getDevice(Long dataId);

    //
    @Query(nativeQuery = true,value = "SELECT * FROM farm_device WHERE data_id=?1")
    Optional<FarmDeviceEntity> getDeviceByDataId(Long dataId);
}