package com.huimv.business.utils;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.UnsupportedEncodingException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
public class TextTest {
    @Autowired
    private TextUtil textUtil;
    @Test
    public void test() throws UnsupportedEncodingException {
        String text = "\n" +
                "{\"deviceCode\":\"deviceCode\",\"deviceName\":\"deviceName\",\"deviceType\":\"deviceType\",\"factory\":\"factory\",\"farmId\":1,\"id\":22,\"lastTime\":1639575081406,\"mainParams\":\"mainParams\",\"record\":\"record\",\"state\":1,\"worker\":\"worker\"}";
        System.out.println("明文："+text);
        String encodedText = textUtil.encode(text);
        System.out.println("编码后："+encodedText);
        String decodedText = textUtil.decode(encodedText);
        System.out.println("解码后："+decodedText);
    }
}
