package com.huimv.environ.dao.repo;

import com.huimv.environ.dao.entity.SysThresholdEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Optional;

public interface SysThresholdRepo extends JpaRepository<SysThresholdEntity, Integer>, JpaSpecificationExecutor<SysThresholdEntity> {

    @Query(nativeQuery = true,value ="SELECT * FROM sys_threshold where farm_id=?1")
    Optional<SysThresholdEntity> findByFarmId(Integer farmId);
}