package com.huimv.eco;

import com.baomidou.mybatisplus.extension.api.R;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@MapperScan("com.huimv.eco.mapper")
public class HuimvECOApplication {
    public static void main(String[] args) {
        ApplicationContext applicationContext = SpringApplication.run(HuimvECOApplication.class, args);
    }
    @Bean
    public static RestTemplate getRestTemplate(){
        return new RestTemplate();
    }
}
