package com.huimv.eco.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysThreshold extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "farm_id")
    private Integer farmId;

    /**
     * 高温
     */
    private String maxTem;

    /**
     * 低温
     */
    private String minTem;

    /**
     * 高湿度
     */
    private String maxHum;

    /**
     * 低湿度
     */
    private String minHum;

    /**
     * 累计流量
     */
    private String totalFlow;

    /**
     * 化学需氧量
     */
    @TableField("COD")
    private String COD;

    /**
     * 氨氮
     */
    private String ammonia;

    /**
     * 氮
     */
    private String nitrogen;

    /**
     * 磷
     */
    private String phosphorus;


    /**
     * ph
     */
    private String ph;


     /**
     * 瞬时流量
     */
    private String flow;



    public Integer getFarmId() {
        return farmId;
    }

    public void setFarmId(Integer farmId) {
        this.farmId = farmId;
    }

    public String getMaxTem() {
        return maxTem;
    }

    public void setMaxTem(String maxTem) {
        this.maxTem = maxTem;
    }

    public String getMinTem() {
        return minTem;
    }

    public void setMinTem(String minTem) {
        this.minTem = minTem;
    }

    public String getMaxHum() {
        return maxHum;
    }

    public void setMaxHum(String maxHum) {
        this.maxHum = maxHum;
    }

    public String getMinHum() {
        return minHum;
    }

    public void setMinHum(String minHum) {
        this.minHum = minHum;
    }

    public String getTotalFlow() {
        return totalFlow;
    }

    public void setTotalFlow(String totalFlow) {
        this.totalFlow = totalFlow;
    }

    public String getCOD() {
        return COD;
    }

    public void setCOD(String COD) {
        this.COD = COD;
    }

    public String getAmmonia() {
        return ammonia;
    }

    public void setAmmonia(String ammonia) {
        this.ammonia = ammonia;
    }

    public String getNitrogen() {
        return nitrogen;
    }

    public void setNitrogen(String nitrogen) {
        this.nitrogen = nitrogen;
    }

    public String getPhosphorus() {
        return phosphorus;
    }

    public void setPhosphorus(String phosphorus) {
        this.phosphorus = phosphorus;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph;
    }

    public String getFlow() {
        return flow;
    }

    public void setFlow(String flow) {
        this.flow = flow;
    }
}
