package com.huimv.eco.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-12-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysWarningSet extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer farmId;

    /**
     * 大项
     */
    private String major;

    /**
     * 内容
     */
    private String content;

    private Boolean firstLevel;

    private Boolean secondLevel;

    private Boolean thirdlyLevel;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getFarmId() {
        return farmId;
    }

    public void setFarmId(Integer farmId) {
        this.farmId = farmId;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Boolean getFirstLevel() {
        return firstLevel;
    }

    public void setFirstLevel(Boolean firstLevel) {
        this.firstLevel = firstLevel;
    }

    public Boolean getSecondLevel() {
        return secondLevel;
    }

    public void setSecondLevel(Boolean secondLevel) {
        this.secondLevel = secondLevel;
    }

    public Boolean getThirdlyLevel() {
        return thirdlyLevel;
    }

    public void setThirdlyLevel(Boolean thirdlyLevel) {
        this.thirdlyLevel = thirdlyLevel;
    }
}
