package com.huimv.eco.sgd.entity;


import java.util.Date;

public class MonitoryValue {

    //监控点id
    private String id;

    //时间戳，由于从缓存里拉的数据，所以需要时间戳来判断是否已经过期,UTC 时间
    private Date timestamp;

    //数据类型，见附录二
    private int dataType;

    //值
    private Object value;

    //监控点名称
    private String name;

    //盒子id
    private long boxId;

    //监控点状态，0：正常，1：无数据，2：超时，3：错误，4：Socket 异常，5：FDS 错误，16：未完成
    private int status;

    //盒子连接状态, 0：未知 ， 1：已连接 ，2：超时， 3：断开
    private int connState;

    //盒子的上线时间
    private Date connStateTimestamp ;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public int getDataType() {
        return dataType;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getBoxId() {
        return boxId;
    }

    public void setBoxId(long boxId) {
        this.boxId = boxId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getConnState() {
        return connState;
    }

    public void setConnState(int connState) {
        this.connState = connState;
    }

    public Date getConnStateTimestamp() {
        return connStateTimestamp;
    }

    public void setConnStateTimestamp(Date connStateTimestamp) {
        this.connStateTimestamp = connStateTimestamp;
    }

    @Override
    public String toString() {
        return "MonitoryValue{" +
                "id='" + id + '\'' +
                ", timestamp=" + timestamp +
                ", dataType=" + dataType +
                ", value=" + value +
                ", name='" + name + '\'' +
                ", boxId=" + boxId +
                ", status=" + status +
                ", connState=" + connState +
                ", connStateTimestamp=" + connStateTimestamp +
                '}';
    }
}