package com.huimv.environ.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "sys_threshold")
public class SysThresholdEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "farm_id", nullable = false)
    private Integer farmId;

    /**
     * 高温
     */
    @Column(name = "max_tem")
    private String maxTem;

    /**
     * 低温
     */
    @Column(name = "min_tem")
    private String minTem;

    /**
     * 高湿度
     */
    @Column(name = "max_hum")
    private String maxHum;

    /**
     * 低湿度
     */
    @Column(name = "min_hum")
    private String minHum;

    /**
     * 累计流量
     */
    @Column(name = "total_flow")
    private String totalFlow;

    /**
     * 化学需氧量
     */
    @Column(name = "COD")
    private String COD;

    /**
     * 氨氮
     */
    @Column(name = "ammonia")
    private String ammonia;

    /**
     * 氮
     */
    @Column(name = "nitrogen")
    private String nitrogen;

    /**
     * 磷
     */
    @Column(name = "phosphorus")
    private String phosphorus;

    /**
     * PH值
     */
    @Column(name = "ph")
    private String ph;

    /**
     * 瞬时流量
     */
    @Column(name = "flow")
    private String flow;

    public void setFarmId(Integer farmId) {
        this.farmId = farmId;
    }

    public Integer getFarmId() {
        return farmId;
    }

    /**
     * 高温
     */
    public void setMaxTem(String maxTem) {
        this.maxTem = maxTem;
    }

    /**
     * 高温
     */
    public String getMaxTem() {
        return maxTem;
    }

    /**
     * 低温
     */
    public void setMinTem(String minTem) {
        this.minTem = minTem;
    }

    /**
     * 低温
     */
    public String getMinTem() {
        return minTem;
    }

    /**
     * 高湿度
     */
    public void setMaxHum(String maxHum) {
        this.maxHum = maxHum;
    }

    /**
     * 高湿度
     */
    public String getMaxHum() {
        return maxHum;
    }

    /**
     * 低湿度
     */
    public void setMinHum(String minHum) {
        this.minHum = minHum;
    }

    /**
     * 低湿度
     */
    public String getMinHum() {
        return minHum;
    }

    /**
     * 累计流量
     */
    public void setTotalFlow(String totalFlow) {
        this.totalFlow = totalFlow;
    }

    /**
     * 累计流量
     */
    public String getTotalFlow() {
        return totalFlow;
    }

    /**
     * 化学需氧量
     */
    public void setCOD(String COD) {
        this.COD = COD;
    }

    /**
     * 化学需氧量
     */
    public String getCOD() {
        return COD;
    }

    /**
     * 氨氮
     */
    public void setAmmonia(String ammonia) {
        this.ammonia = ammonia;
    }

    /**
     * 氨氮
     */
    public String getAmmonia() {
        return ammonia;
    }

    /**
     * 氮
     */
    public void setNitrogen(String nitrogen) {
        this.nitrogen = nitrogen;
    }

    /**
     * 氮
     */
    public String getNitrogen() {
        return nitrogen;
    }

    /**
     * 磷
     */
    public void setPhosphorus(String phosphorus) {
        this.phosphorus = phosphorus;
    }

    /**
     * 磷
     */
    public String getPhosphorus() {
        return phosphorus;
    }

    /**
     * PH值
     */
    public void setPh(String ph) {
        this.ph = ph;
    }

    /**
     * PH值
     */
    public String getPh() {
        return ph;
    }

    /**
     * 瞬时流量
     */
    public void setFlow(String flow) {
        this.flow = flow;
    }

    /**
     * 瞬时流量
     */
    public String getFlow() {
        return flow;
    }

    @Override
    public String toString() {
        return "SysThresholdEntity{" +
                "farmId=" + farmId + '\'' +
                "maxTem=" + maxTem + '\'' +
                "minTem=" + minTem + '\'' +
                "maxHum=" + maxHum + '\'' +
                "minHum=" + minHum + '\'' +
                "totalFlow=" + totalFlow + '\'' +
                "COD=" + COD + '\'' +
                "ammonia=" + ammonia + '\'' +
                "nitrogen=" + nitrogen + '\'' +
                "phosphorus=" + phosphorus + '\'' +
                "ph=" + ph + '\'' +
                "flow=" + flow + '\'' +
                '}';
    }
}
